POST
/payment/zibapay/order/status/:referenceAPIAuthentication:Bearer token
Authorization: Bearer <token>Security requirement: 403 CSRF Protection
Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:
X-Requested-With: XMLHttpRequestPath params
| Field | Type | Required | Description |
|---|---|---|---|
reference | string | Required | transactionReferenceId from the collect response, or the order reference. |
Response fields
| Field | Type | Presence | Description |
|---|---|---|---|
orderId | string | Always returned | Order reference identifier. |
status | string | Always returned | Order status: PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED, EXPIRED, or REVERSED. |
amount | number | Always returned | Order monetary amount. |
currency | string | Always returned | Currency code. |
paymentMethod | string | Optional | Payment option used (e.g. CARD, BANK_TRANSFER). |
paidAt | string | Optional | ISO 8601 timestamp when payment was confirmed. |
Status codes
| HTTP Status | Meaning |
|---|---|
| 200 | Provider status body. |
| 401 | No merchant session. |
Notes
- This route is POST, not GET. It has no JSON body.
- HTTP 200 returns the provider status JSON (response.data).